org.apache.tinkerpop.gremlin.driver

## Class Channelizer.AbstractChannelizer

- java.lang.Object
- - <any>
  - - org.apache.tinkerpop.gremlin.driver.Channelizer.AbstractChannelizer

- All Implemented Interfaces:
    Channelizer
  Direct Known Subclasses:
    Channelizer.NioChannelizer, Channelizer.WebSocketChannelizer
  Enclosing interface:
    Channelizer

      public abstract static class Channelizer.AbstractChannelizer
      extends <any>
      implements Channelizer

  Base implementation of the client side `Channelizer`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.driver.Channelizer

      `Channelizer.AbstractChannelizer, Channelizer.NioChannelizer, Channelizer.WebSocketChannelizer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Cluster` | `cluster`
    `protected org.apache.tinkerpop.gremlin.driver.Connection` | `connection`
    `protected static String` | `PIPELINE_GREMLIN_HANDLER`
    `protected static String` | `PIPELINE_GREMLIN_SASL_HANDLER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractChannelizer()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(Channel channel)` Called on `Connection.close()` to perform an `Channelizer` specific functions.
    `abstract void` | `configure(ChannelPipeline pipeline)`
    `void` | `finalize(ChannelPipeline pipeline)`
    `void` | `init(org.apache.tinkerpop.gremlin.driver.Connection connection)` Initializes the `Channelizer`.
    `protected void` | `initChannel(SocketChannel socketChannel)`
    `boolean` | `supportsSsl()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.driver.Channelizer

      `connected, createKeepAliveMessage, supportsKeepAlive`

- - ### Field Detail

    - #### connection

          protected org.apache.tinkerpop.gremlin.driver.Connection connection

    - #### cluster

          protected Cluster cluster

    - #### PIPELINE_GREMLIN_SASL_HANDLER

          protected static final String PIPELINE_GREMLIN_SASL_HANDLER

      See Also:
        Constant Field Values

    - #### PIPELINE_GREMLIN_HANDLER

          protected static final String PIPELINE_GREMLIN_HANDLER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractChannelizer

          public AbstractChannelizer()

  - ### Method Detail

    - #### supportsSsl

          public boolean supportsSsl()

    - #### configure

          public abstract void configure(ChannelPipeline pipeline)

    - #### finalize

          public void finalize(ChannelPipeline pipeline)

    - #### close

          public void close(Channel channel)

      Description copied from interface: `Channelizer`
      Called on `Connection.close()` to perform an `Channelizer` specific functions. Note that the `Connection` already calls `Channel.close()` so there is no need to call that method here. An implementation will typically use this method to send a `Channelizer` specific message to the server to notify of shutdown coming from the client side (e.g. a "close" websocket frame).
      Specified by:
        `close` in interface `Channelizer`

    - #### init

          public void init(org.apache.tinkerpop.gremlin.driver.Connection connection)

      Description copied from interface: `Channelizer`
      Initializes the `Channelizer`. Called just after construction.
      Specified by:
        `init` in interface `Channelizer`

    - #### initChannel

          protected void initChannel(SocketChannel socketChannel)
                              throws Exception

      Throws:
        `Exception`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.